Debian Bug report logs - #650702
jsoncpp headers installed in unexpected location

version graph

Package: libjsoncpp-dev; Maintainer for libjsoncpp-dev is José Luis Segura Lucas <josel.segura@gmx.es>; Source for libjsoncpp-dev is src:libjsoncpp.

Reported by: Jim Garrison <jim@garrison.cc>

Date: Fri, 2 Dec 2011 05:24:02 UTC

Severity: minor

Found in version libjsoncpp/0.6.0~rc2-1

Fixed in version libjsoncpp/0.6.0~rc2-2

Done: José Luis Segura Lucas <josel.segura@gmx.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, José Luis Segura Lucas <josel.segura@gmx.es>:
Bug#650702; Package libjsoncpp-dev. (Fri, 02 Dec 2011 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Garrison <jim@garrison.cc>:
New Bug report received and forwarded. Copy sent to José Luis Segura Lucas <josel.segura@gmx.es>. (Fri, 02 Dec 2011 05:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jim Garrison <jim@garrison.cc>
To: submit@bugs.debian.org
Subject: jsoncpp headers installed in unexpected location
Date: Thu, 01 Dec 2011 21:11:51 -0800
Package: libjsoncpp-dev
Version: 0.6.0~rc2-1

The current package installs all jsoncpp header files directly into
/usr/include/jsoncpp.  I agree that this is a natural location, but code
using jsoncpp expects to #include <json/json.h> (see, e.g.,
jsoncpp/src/test_lib_json/jsontest.h, which includes three files each
with the prefix "json/").  With the current package, this fails because
no json directory exists.

It would probably be better to install all the header files into
/usr/include/jsoncpp/json.  That way, one can pass
-I/usr/include/jsoncpp to gcc and any file that performs
#include <json/json.h> will compile correctly.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650702; Package libjsoncpp-dev. (Fri, 02 Dec 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Segura Lucas <josel.segura@gmx.es>:
Extra info received and forwarded to list. (Fri, 02 Dec 2011 10:09:08 GMT) Full text and rfc822 format available.

Message #10 received at 650702@bugs.debian.org (full text, mbox):

From: José Luis Segura Lucas <josel.segura@gmx.es>
To: Jim Garrison <jim@garrison.cc>, 650702@bugs.debian.org
Cc: control@debian.org
Subject: Re: Bug#650702: jsoncpp headers installed in unexpected location
Date: Fri, 02 Dec 2011 11:05:32 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

severity 650702 minor
tags 650702 + fixed pending
thanks

You are right, your solution is better than my approach to avoid
conflicts between jsoncpp and other JSON libraries.

Fixed and waiting for upload.

Best regards
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJO2KLsAAoJENpGtWKvvX1xsswH/1LeCLlb+Xprtw6d9S7bJoOg
8p5HiYVHABG8bp/Pxfp8VlWJG3BGf/g1cRaGcGusVtBevDG5zINaQ8ntKaa0quJB
jdOVCKX+4BLfaNfz7icyPvN3DR3497hF3rEYul8/N900ilexekLD8HCtFC01htX4
6keGPI9IpOYUw6OC8gUAbxtLk5MG8GBti/mUjexEjFQQ824dYi5OVaDgi8w167/7
SOEJYFhnfiqgr4CaJfgfFwWtqFalA0ifZ0sZ/GYx4vaWoocpDjFsHgyFLWovCFSX
T1cazCm/yXwOWLsq8XyS9QT84jrHvVto4sjieJBgEJpY25Ou+1rxksJN3z+BzMs=
=3nHB
-----END PGP SIGNATURE-----




Severity set to 'minor' from 'normal' Request was from José Luis Segura Lucas <josel.segura@gmx.es> to control@bugs.debian.org. (Fri, 02 Dec 2011 10:12:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed and pending. Request was from José Luis Segura Lucas <josel.segura@gmx.es> to control@bugs.debian.org. (Fri, 02 Dec 2011 10:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650702; Package libjsoncpp-dev. (Fri, 02 Dec 2011 11:27:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Segura Lucas <josel.segura@gmx.es>:
Extra info received and forwarded to list.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 02 Dec 2011 11:27:49 GMT) Full text and rfc822 format available.


Message #19 received at 650702@bugs.debian.org (full text, mbox):

From: José Luis Segura Lucas <josel.segura@gmx.es>
To: control@bugs.debian.org, 650702@bugs.debian.org
Date: Fri, 02 Dec 2011 12:24:33 +0100
[Message part 1 (text/plain, inline)]
tags 650702 - fixed
thanks

I remove the "fixed" tag, thanks to Cleto Martín for the warning

[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) fixed. Request was from José Luis Segura Lucas <josel.segura@gmx.es> to control@bugs.debian.org. (Fri, 02 Dec 2011 11:27:58 GMT) Full text and rfc822 format available.

Reply sent to José Luis Segura Lucas <josel.segura@gmx.es>:
You have taken responsibility. (Sun, 04 Dec 2011 19:09:19 GMT) Full text and rfc822 format available.

Notification sent to Jim Garrison <jim@garrison.cc>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 19:09:20 GMT) Full text and rfc822 format available.

Message #26 received at 650702-close@bugs.debian.org (full text, mbox):

From: José Luis Segura Lucas <josel.segura@gmx.es>
To: 650702-close@bugs.debian.org
Subject: Bug#650702: fixed in libjsoncpp 0.6.0~rc2-2
Date: Sun, 04 Dec 2011 19:04:36 +0000
Source: libjsoncpp
Source-Version: 0.6.0~rc2-2

We believe that the bug you reported is fixed in the latest version of
libjsoncpp, which is due to be installed in the Debian FTP archive:

libjsoncpp-dev_0.6.0~rc2-2_amd64.deb
  to main/libj/libjsoncpp/libjsoncpp-dev_0.6.0~rc2-2_amd64.deb
libjsoncpp0_0.6.0~rc2-2_amd64.deb
  to main/libj/libjsoncpp/libjsoncpp0_0.6.0~rc2-2_amd64.deb
libjsoncpp_0.6.0~rc2-2.debian.tar.gz
  to main/libj/libjsoncpp/libjsoncpp_0.6.0~rc2-2.debian.tar.gz
libjsoncpp_0.6.0~rc2-2.dsc
  to main/libj/libjsoncpp/libjsoncpp_0.6.0~rc2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
José Luis Segura Lucas <josel.segura@gmx.es> (supplier of updated libjsoncpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Dec 2011 09:12:31 +0100
Source: libjsoncpp
Binary: libjsoncpp0 libjsoncpp-dev
Architecture: source amd64
Version: 0.6.0~rc2-2
Distribution: unstable
Urgency: low
Maintainer: José Luis Segura Lucas <josel.segura@gmx.es>
Changed-By: José Luis Segura Lucas <josel.segura@gmx.es>
Description: 
 libjsoncpp-dev - Library for reading and writing JSON for C++ (devel files)
 libjsoncpp0 - Library for reading and writing JSON for C++
Closes: 650702
Changes: 
 libjsoncpp (0.6.0~rc2-2) unstable; urgency=low
 .
   * Bug fix: "jsoncpp headers installed in unexpected location", thanks to
     Jim Garrison (Closes: #650702).
Checksums-Sha1: 
 1bb5f54f38e5973e389d550ff7608951a3976fae 1246 libjsoncpp_0.6.0~rc2-2.dsc
 eb9a608b75e1aa06a37c83bb11607c34062a7f36 4376 libjsoncpp_0.6.0~rc2-2.debian.tar.gz
 d389a0498d37a4b0699d0c656252f00043c0a9a3 94856 libjsoncpp0_0.6.0~rc2-2_amd64.deb
 432827fa12dd4b16a16978b2484fe13eb7c8a5ce 363414 libjsoncpp-dev_0.6.0~rc2-2_amd64.deb
Checksums-Sha256: 
 f061eecfa92c09ab59a02064f4aa578e52ef9af3735d8b381f750919c046899d 1246 libjsoncpp_0.6.0~rc2-2.dsc
 a62cf95ecd11cd18cb217cd105dfa1926eec170a6eeb93ce0bd0fdaac5fe5c1a 4376 libjsoncpp_0.6.0~rc2-2.debian.tar.gz
 1d5f7260c5c64b9fe92d0da7c4577b1ca08e958b9d1b1268d8c715d7ce8326ef 94856 libjsoncpp0_0.6.0~rc2-2_amd64.deb
 fdd05e8421d42b5a65b70738d9094f62e2d97df4fbdb2d413be5b414f85ef65b 363414 libjsoncpp-dev_0.6.0~rc2-2_amd64.deb
Files: 
 9a3361385a79c736aa9c9caf6d329998 1246 libs extra libjsoncpp_0.6.0~rc2-2.dsc
 df992fb33f55d1fe33f14e08e618fe46 4376 libs extra libjsoncpp_0.6.0~rc2-2.debian.tar.gz
 bdc37cc8676a6c8b57a81534bfc0807a 94856 libs extra libjsoncpp0_0.6.0~rc2-2_amd64.deb
 a2c972588ef651d488806e66ec354730 363414 libdevel extra libjsoncpp-dev_0.6.0~rc2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7bwUwACgkQG9DkpdBHzeHvWwCeNC0PXc+awQaxzOl7qydmEZiq
REwAn2WRCKpJa8sPzrZ7zSP/NikDX7Vy
=0zXm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Feb 2012 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:49:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.